#ifndef FGUI_BUTTON_HEADER
#define FGUI_BUTTON_HEADER




#include <flare_gui/widget.h>
#include <allegro_flare/motion_control.h>
#include <allegro5/allegro_font.h>




class FGUIButton : public FGUIWidget
{
public:
//	MotionManager motion;
	ALLEGRO_BITMAP *icon;
	ALLEGRO_FONT *font;
	std::string text;
	//int text_alignment; // since the addition of the icon, text_alignment referes to content alignment
	float content_alignment; // since the addition of the icon, text_alignment referes to content alignment

	FGUIButton(FGUIParent *parent, std::string text, ALLEGRO_FONT *font, float x, float y, float w, float h);

	void set_text(std::string text);
	void set_icon(ALLEGRO_BITMAP *icon);

	virtual void on_timer();
	virtual void on_draw();
	virtual void on_click();
	virtual void on_mouse_enter();
	virtual void on_mouse_leave();

	//virtual void click_func();
};




#endif